[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.IsEmptyRow

Indicates if the specified row is empty.

## Declaration

Source position: valedit.pas line 191

`public function TValueListEditor.IsEmptyRow: Boolean; function TValueListEditor.IsEmptyRow(`
`aRow: Integer`
`):Boolean;`

## Function result

True if the specified row has empty key name and value cells.

## Arguments

`aRow` |  | Row number to examine in the method.

## Description

IsEmptyRow is an overloaded Boolean function used to determine the Key name and Value for a row contain empty string values (''). One variant omits the row number parameter, and assumes the current Row is used for the comparison. The other variant includes the row number parameter and performs the check for empty values.

The return value is True when Strings contains no entries, or when Cells for the specified row number have empty string values ('') in both columns.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TCustomDrawGrid.Row |  | Row number for the selected grid cell.
TCustomStringGrid.Cells |  | Provides indexed access to a cell value by its column and row number.